/*
 * @Descripttion: 当前组件信息
 * @version: 1.0.0
 * @Author: 无尘
 * @Date: 2020-08-27 09:29:13
 * @LastEditors: 无尘
 * @LastEditTime: 2020-09-17 13:35:27
 */
import getFetch from './get-fetch.js';

let api = {
  // 顾客分配
  getGroupList: '/member/store-group', // 获取 gic 分组列表
  getStoreList: '/member/store-list', // 获取 gic 门店
  getAssignStatus: '/member/check-distribute', // 获取分配状态
  getNavChain: '/member/crumb-list', // 获取面包屑
  getMemberList: {
    // 获取会员列表
    url: '/member/member-list',
    method: 'post',
    useFormData: true
  },
  getListBrand: '/member/list-brand', // 获取店招品牌
  getClerkList: '/member/clerk-list', // 获取导购列表
  getMemberCount: '', // 获取会员数量
  saveAssign: {
    // 保存分配会员
    url: '/member/distribute-member',
    method: 'post'
  },
  // 数据维度
  getMemberData: '/member/dimension-detail', // 获取会员卡/服务号
  saveSortMember: {
    // 排序
    url: '/member/dimension-save',
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  // 顾客展示
  getShowSet: '/member/switch-list', // 获取顾客展示数据
  saveShowSet: {
    // 设置顾客展示数据
    url: '/member/switch-setting',
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  // 顾客资料
  getCustomerSet: '/member/switch-list', // 获取顾客资料数据
  saveCustomerSet: {
    // 设置顾客资料数据
    url: '/member/switch-setting',
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  // 人群场景
  getGroupData: '/member/member-group-hb-list', // 获取人群场景数据
  getClassifyData: '/member/member-group-category-list', // 获取分类数据
  postSortGroup: {
    // 排序
    url: '/member/member-group-sort',
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  getSyncMemberData: '/member/member-group-list', // 获取人群场景同步数据
  saveSync: {
    // 保存同步
    url: '/member/member-group-save',
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  delCrowd: {
    // 删除
    url: '/member/member-group-del',
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  getVisiable: '/visiable-range-view', // 获取可见范围详情
  saveVisiable: {
    // 保存人群场景可见范围
    url: '/visiable-range-save',
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  // 导购标签
  getTagClassify: '/tag-category-list', // 获取导购标签分类
  getTagLicense: '/member-tag-license', // 获取标签license
  addClassify: {
    // 新增分类
    url: '/tag-category-add',
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  delClassify: {
    // 删除分类
    url: '/tag-category-del',
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  getClerkTag: '/member-tag-list', // 获取导购标签
  addClerkTag: {
    // 新增导购标签
    url: '/member-tag-add',
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  getTagDetail: '/member-tag-detail', // 获取标签详情
  editClerkTag: {
    // 编辑导购标签
    url: '/member-tag-edit',
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  delClerkTag: {
    // 删除导购标签
    url: '/tag-del',
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  sortClerkTag: {
    // 导购标签排序
    url: '/member-tag-sort',
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  getTagVisiable: '/visiable-range-view', // 获取可见范围详情
  saveTagVisiable: {
    // 保存可见范围
    url: '/visiable-range-save',
    method: 'post',
    useFormData: true,
    useIntercept: false
  }
};

api = getFetch(api, '/hb-app-customer-web');

export default api;
